Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.security
Class SecurityClassLoad

    java.lang.Object
      org.apache.catalina.security.SecurityClassLoad

public final class SecurityClassLoad
extends java.lang.Object

Static class used to preload java classes when using the Java SecurityManager so that the defineClassInPackage RuntimePermission does not trigger an AccessControlException.

Version:
  $Revision: 1.16 $ $Date: 2004/02/27 14:58:46 $
Author:
  Glenn L. Nielsen, Jean-Francois Arcand

Constructor Summary
`SecurityClassLoad()`

Method Summary
`static void` | `securityClassLoad(java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityClassLoad

    public SecurityClassLoad()

Method Detail

### securityClassLoad

    public static void securityClassLoad(java.lang.ClassLoader loader)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.